Commit f3d8a371 authored by Bastien Jacquet's avatar Bastien Jacquet
Browse files

Update linux building instruction with one-liners

parent decb73d2
Pipeline #229064 passed with stage
......@@ -159,7 +159,7 @@ The PythonQtPlugin is a small plugin that initializes the PythonQt library and m
---
### Linux Instructions <a name="linux-instructions"></a>
### Linux build Instructions <a name="linux-instructions"></a>
#### Linux dependencies <a name="linux-dependencies"></a>
The following packages are needed to build on Ubuntu 16.04/18.04/20.04:
......@@ -173,6 +173,10 @@ The following packages are needed to build on Ubuntu 16.04/18.04/20.04:
- libbz2-dev zlib1g-dev
- freeglut3-dev
- pkg-config
- libffi-dev
The Ubuntu 18.04 one-liner is: `sudo apt-get install build-essential git flex byacc python3.7-dev libxext-dev libxt-dev libbz2-dev zlib1g-dev freeglut3-dev pkg-config libffi-dev`
**If using Ubuntu 20.04**
......@@ -180,6 +184,8 @@ The following packages are needed to build on Ubuntu 16.04/18.04/20.04:
- libprotobuf-dev protobuf-compiler
- libfreetype-dev
The Ubuntu 18.04 one-liner is: `sudo apt-get install build-essential git flex byacc python3.7-dev libxext-dev libxt-dev libbz2-dev zlib1g-dev freeglut3-dev pkg-config libffi-dev libnl-gen1-3-dev libprotobuf-dev protobuf-compiler libfreetype-dev`
**If using qt5 system:**
- qtbase5-dev qtmultimedia5-dev qttools5-dev qtbase5-private-dev libqt5x11extras5-dev libqt5svg5-dev
......@@ -188,7 +194,7 @@ The following packages are needed to build on Ubuntu 16.04/18.04/20.04:
- libavformat-dev libavdevice-dev libavcodec-dev
#### Linux build instructions <a name="linux-build-instructions"></a>
#### Linux compiling instructions <a name="linux-build-instructions"></a>
1. Clone LidarView's source code repository to a directory of your chosing, for example:
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment